> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_gettransaction.md).

# gettransaction {disallowed} - Bitcoin Gold

#### Parameters

`txid` - string, required

The transaction id

`include_watchonly` - boolean, optional, default=true for watch-only wallets, otherwise false

Whether to include watch-only addresses in balance calculation and details\[]

`verbose` - boolean, optional, default=false

Whether to include a decoded field containing the decoded transaction (equivalent to RPC decoderawtransaction)

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "gettransaction",
"params": [null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
